Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2InputSymbol< T > Class Template Reference

A Template for the input symbol classes. More...

`#include <Xabsl2Symbols.h>`

Inheritance diagram for Xabsl2InputSymbol< T >:

[legend]
Collaboration diagram for Xabsl2InputSymbol< T >:

[legend]
List of all members.

## Public Member Functions
| Xabsl2InputSymbol (const char *name, const T *pVariable)
| Constructor.
| Xabsl2InputSymbol (const char *name, Xabsl2FunctionProvider *pInstance, T(Xabsl2FunctionProvider::*pFunction)())
| Constructor.
T | getValue () const
| returns the value of the symbol
## Private Attributes
const T * | pV
| A pointer to a variable in the software environment.
Xabsl2FunctionProvider * | pI
| A pointer to the instance object that contains the function.
T(Xabsl2FunctionProvider::* | pF )()
| A pointer to a T returning function in the software environment.

## Detailed Description

### template<class T>
class Xabsl2InputSymbol< T >

A Template for the input symbol classes.

Author:
  Martin Lötzsch

Definition at line 31 of file Xabsl2Symbols.h.

## Constructor & Destructor Documentation

template<class T>
Xabsl2InputSymbol< T >::Xabsl2InputSymbol | ( | const char * | name,
|  | const T * | pVariable
| ) | `[inline]`

  | Constructor. Parameters:
  name | The name of the symbol, for debugging purposes
  pVariable | A pointer to the variable that the symbol stands for
Definition at line 39 of file Xabsl2Symbols.h.

template<class T>
Xabsl2InputSymbol< T >::Xabsl2InputSymbol | ( | const char * | name,
|  | Xabsl2FunctionProvider * | pInstance,
|  | T(Xabsl2FunctionProvider::* | pFunction)()
| ) | `[inline]`

  | Constructor. Parameters:
  name | The name of the symbol, for debugging purposes
  pFunction | A pointer to a boolean returning function in the software environment
  pInstance | A pointer to the instance that contains the function
Definition at line 49 of file Xabsl2Symbols.h.

## Member Function Documentation

template<class T>
T Xabsl2InputSymbol< T >::getValue | ( |  | ) | const`[inline]`

| returns the value of the symbol Definition at line 55 of file Xabsl2Symbols.h.

## Member Data Documentation

template<class T>
const T* Xabsl2InputSymbol< T >::pV`[private]`

| A pointer to a variable in the software environment. Definition at line 60 of file Xabsl2Symbols.h.

template<class T>
Xabsl2FunctionProvider* Xabsl2InputSymbol< T >::pI`[private]`

| A pointer to the instance object that contains the function. Definition at line 63 of file Xabsl2Symbols.h.

template<class T>
T(Xabsl2FunctionProvider::* Xabsl2InputSymbol< T >::pF)()`[private]`

| A pointer to a T returning function in the software environment.

The documentation for this class was generated from the following file:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2Symbols.h